"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.report = void 0;
const core_1 = require("@checkup/core");
function report(taskResults) {
    var _a;
    core_1.ui.section((_a = taskResults[0].properties) === null || _a === void 0 ? void 0 : _a.taskDisplayName, () => {
        core_1.ui.sectionedBar(taskResults.map((result) => {
            if (result.message.text === core_1.NO_RESULTS_FOUND) {
                core_1.renderEmptyResult(result);
            }
            else {
                return { title: result.message.text, count: result.occurrenceCount };
            }
        }), core_1.sumOccurrences(taskResults), 'dependencies');
    });
}
exports.report = report;
//# sourceMappingURL=outdated-dependencies-reporter.js.map